ReplicationChannel (Oracle - Berkeley DB Java API)
Date: 2013-05-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 6.0.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class ReplicationChannel

    java.lang.Object
      com.sleepycat.db.ReplicationChannel

    public class ReplicationChannel

extends Object

A ReplicationChannel handle is used to manage a channel in a replication group. ReplicationChannel handles are opened using the `Environment.openChannel` method.

Method Summary
`void` | `close()` Close the channel.
`void` | `sendMessage(Set messages)` Send a message on the message channel asynchronously.
`void` | `sendRequest(Set messages, DatabaseEntry response, long timeout)` Send request on the message channel.
`void` | `setTimeout(long timeout)` Sets the default timeout value for the channel.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public void close()
               throws DatabaseException

  Close the channel.

  Throws:
    `DatabaseException`

### sendMessage

    public void sendMessage(Set messages)
                     throws DatabaseException

  Send a message on the message channel asynchronously.

  Parameters:
    `messages` -
  Throws:
    `DatabaseException`

### sendRequest

    public void sendRequest(Set messages,
                            DatabaseEntry response,
                            long timeout)
                     throws DatabaseException

  Send request on the message channel. It blocks waiting for a response before returning.

  Parameters:
    `messages` -
    `response` -
    `timeout` -
  Throws:
    `DatabaseException`

### setTimeout

    public void setTimeout(long timeout)
                    throws DatabaseException

  Sets the default timeout value for the channel.

  Parameters:
    `timeout` -
  Throws:
    `DatabaseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 6.0.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2013 Oracle and/or its affiliates. All rights reserved.